Name:          sgml-common
Version:       0.6.3
Release:       5mamba
Summary:       Common SGML catalog and DTD files
Group:         Applications/Text
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.iso.ch/cate/3524030.html
Source0:       ftp://sources.redhat.com/pub/docbook-tools/new-trials/SOURCES/%{name}-%{version}.tgz
Source1:       sgml-common-CHANGES
Source2:       sgml-common-automake.tar.gz
Source3:       xml.dcl
Source4:       xml.soc
Source5:       html.dcl
Source6:       html.soc
Patch0:        sgml-common-umask.patch
Patch1:        sgml-common-xmldir.patch
Patch2:        sgml-common-quotes.patch
Patch3:        sgml-common-automake.patch
Patch4:        sgml-common-0.6.3-docdir.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
BuildRequires: libxml2 >= 2.6.17
#Requires: sh-utils fileutils textutils grep
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
# From openjade:

%description
The sgml-common package contains a collection of entities and DTDs that are useful for processing SGML, but that don't need to be included in multiple packages.
Sgml-common also includes an up-to-date Open Catalog file.

%package -n xml-common
Group:         Applications/Text
Summary:       Common XML catalog and DTD files.
License:       GPL
URL:           http://www.iso.ch/cate/3524030.html
#Requires:     #sh-utils fileutils textutils grep

%description -n xml-common
The xml-common package contains a collection of entities and DTDs that are useful for processing XML, but that don't need to be included in multiple packages.

%prep
%setup -q
%define _default_patch_fuzz 2
%patch0 -p1 -b .umask
%patch1 -p1 -b .xmldir
%patch2 -p1 -b .quotes
rm install-sh missing mkinstalldirs
tar zxf %{SOURCE2}
%patch3 -p1 -b .automake
%patch4 -p1 -b .docdir
aclocal
automake --add-missing --copy

%build
%configure \
   --with-docdir=%{_docdir}

%install
DESTDIR=%{buildroot}
rm -rf $DESTDIR
%makeinstall docdir=%{_docdir} top_builddir=`pwd`
cp %{SOURCE1} CHANGES
mkdir %{buildroot}/etc/xml
mkdir %{buildroot}/usr/share/sgml/docbook

rm -f %{buildroot}/usr/share/sgml/xml.dcl
install -m0644 %{SOURCE3} %{SOURCE4} %{SOURCE5} %{SOURCE6} \
 %{buildroot}/usr/share/sgml
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"/usr/share/xml/*

%clean
DESTDIR=%{buildroot}
rm -rf $DESTDIR

%post -n xml-common
if [ $1 -ge 1 ]; then
   # Create an empty XML catalog.
   XMLCATALOG=/etc/xml/catalog
   [ -e $XMLCATALOG ] || /usr/bin/xmlcatalog --noout --create $XMLCATALOG

   # Now put the common DocBook entries in it
   /usr/bin/xmlcatalog --noout --add "delegatePublic" \
    "-//OASIS//ENTITIES DocBook XML" \
    "file:///usr/share/sgml/docbook/xmlcatalog" $XMLCATALOG
   /usr/bin/xmlcatalog --noout --add "delegatePublic" \
    "-//OASIS//DTD DocBook XML" \
    "file:///usr/share/sgml/docbook/xmlcatalog" $XMLCATALOG
   /usr/bin/xmlcatalog --noout --add "delegatePublic" \
    "ISO 8879:1986" \
    "file:///usr/share/sgml/docbook/xmlcatalog" $XMLCATALOG
   /usr/bin/xmlcatalog --noout --add "delegateSystem" \
    "http://www.oasis-open.org/docbook/" \
    "file:///usr/share/sgml/docbook/xmlcatalog" $XMLCATALOG
   /usr/bin/xmlcatalog --noout --add "delegateURI" \
    "http://www.oasis-open.org/docbook/" \
    "file:///usr/share/sgml/docbook/xmlcatalog" $XMLCATALOG

   # Also create the common DocBook catalog
   [ -e /usr/share/sgml/docbook/xmlcatalog ] || \
      /usr/bin/xmlcatalog --noout --create \
        %{_datadir}/sgml/docbook/xmlcatalog
fi
:

%posttrans -n xml-common
[ -e /etc/xml/catalog.rpmsave -a ! -e /etc/xml/catalog ] && \
   mv /etc/xml/catalog.rpmsave /etc/xml/catalog
:

%files
%defattr (-,root,root)
%dir %{_sysconfdir}/sgml
%config(noreplace) %{_sysconfdir}/sgml/sgml.conf
%dir %{_datadir}/sgml
%dir %{_datadir}/sgml/sgml-iso-entities-8879.1986
%{_datadir}/sgml/sgml-iso-entities-8879.1986/*
%{_datadir}/sgml/xml.dcl
%{_datadir}/sgml/xml.soc
%{_datadir}/sgml/html.dcl
%{_datadir}/sgml/html.soc
%{_bindir}/sgmlwhich
%{_bindir}/install-catalog
%{_mandir}/*/*
%{_datadir}/doc/%{name}-%{version}/html/*

%files -n xml-common
%defattr (-,root,root)
%dir %{_sysconfdir}/xml
%dir %{_datadir}/sgml
%dir %{_datadir}/sgml/docbook
%dir %{_datadir}/xml

%changelog
* Fri Nov 27 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.6.3-5mamba
- specfile fix with rpm4

* Fri May 02 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.6.3-4mamba
- don't own /etc/xml/catalog and update it in %post script

* Tue Aug 27 2013 Automatic Build System <autodist@mambasoft.it> 0.6.3-3mamba
- automatic rebuild by autodist

* Tue Sep 23 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.6.3-2mamba
- specfile updated

* Sun Feb 27 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 0.6.3-2qilnx
- rebuilt and moved to devel repository

* Thu Sep 23 2004 Matteo Bernasconi <voyagernm@virgilio.it> 0.6.3-1qilnx
- First Build
